Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JDIC API V2006 Release 0308
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.jdic.browser
Interface WebBrowserListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  WebBrowserListenerAdapter

    public interface WebBrowserListener

extends java.util.EventListener

The listener interface for receiving WebBrowser events. The class that is interested in processing a WebBrowser event implements this interface or inherits the `WebBrowserAdapter` abstract class.

The object created with that class is registered with a `WebBrowser` component, using the `addWebBrowserListener` method. When the WebBrowser event occurs, that object's corresponding method is invoked.

See Also:
  `WebBrowserEvent`, `WebBrowser`

Method Summary
`void` | `documentCompleted(WebBrowserEvent event)` Invoked when the document loading has been completed.
`void` | `downloadCompleted(WebBrowserEvent event)` Invoked when a download operation finishes, is halted, or fails.
`void` | `downloadError(WebBrowserEvent event)` Invoked when an error occurs during a download operation.
`void` | `downloadProgress(WebBrowserEvent event)` Invoked when the progress of a download operation is updated.
`void` | `downloadStarted(WebBrowserEvent event)` Invoked when a download operation is beginning.
`void` | `initializationCompleted(WebBrowserEvent event)` Invoked when the initialization is completed.
`void` | `statusTextChange(WebBrowserEvent event)` Invoked when the status bar text is changed.
`void` | `titleChange(WebBrowserEvent event)` Invoked when the title of a document is changed.
`void` | `windowClose(WebBrowserEvent event)` Invoked in response to JavaScript window.close()

Method Detail

### initializationCompleted

    void initializationCompleted(WebBrowserEvent event)

  Invoked when the initialization is completed.

  Parameters:
    `event` - the WebBrowserEvent fired.

### downloadStarted

    void downloadStarted(WebBrowserEvent event)

  Invoked when a download operation is beginning.

  Parameters:
    `event` - the WebBrowserEvent fired.

### downloadCompleted

    void downloadCompleted(WebBrowserEvent event)

  Invoked when a download operation finishes, is halted, or fails.

  Parameters:
    `event` - the WebBrowserEvent fired.

### downloadProgress

    void downloadProgress(WebBrowserEvent event)

  Invoked when the progress of a download operation is updated.

  Parameters:
    `event` - the WebBrowserEvent fired.

### downloadError

    void downloadError(WebBrowserEvent event)

  Invoked when an error occurs during a download operation.

  Parameters:
    `event` - the WebBrowserEvent fired.

### documentCompleted

    void documentCompleted(WebBrowserEvent event)

  Invoked when the document loading has been completed.

  Parameters:
    `event` - the WebBrowserEvent fired.
  Since:
    0.9

### titleChange

    void titleChange(WebBrowserEvent event)

  Invoked when the title of a document is changed.

  Parameters:
    `event` - the WebBrowserEvent fired.

### statusTextChange

    void statusTextChange(WebBrowserEvent event)

  Invoked when the status bar text is changed.

  Parameters:
    `event` - the WebBrowserEvent fired.

### windowClose

    void windowClose(WebBrowserEvent event)

  Invoked in response to JavaScript window.close()

  Parameters:
    `event` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JDIC API V2006 Release 0308
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

For more information and documentation on JDIC, see JDIC website.

That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, working code examples, license terms and bug report information.

Copyright (c) 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.